//=========================================================================
//Copyright LizardOfOz.
//=========================================================================

IncludeScript("gungame/_utils/entities.nut");

for (local ent; ent = Entities.FindByClassname(ent, "*");)
    SetPropBool(ent, "m_bForcePurgeFixedupStrings", true);

::IsSword <- function(weapon)
{
    return IsSwordClass(weapon.GetClassname());
}

::IsSwordClass <- function(classname)
{
    return classname == "tf_weapon_sword" || classname == "tf_weapon_stickbomb";
}

::KillWeaponBySlot <- function(player, slot)
{
    for (local i = 0; i < 10; i++)
    {
        local weaponEnt = GetPropEntityArray(player, "m_hMyWeapons", i);
        if (weaponEnt && weaponEnt.GetSlot() == slot)
        {
            weaponEnt.Kill();
            return;
        }
    }
}

::HasTarge <- function(player)
{
    try
    {
        local weapon = player.GetActiveWeapon();
        if (!weapon)
            return false;
        return IsSwordClass(weapon.GetClassname());
    }
    catch (e) { return false; }
    //return GetPropInt(player, "m_Shared.m_bShieldEquipped") == 1;
}