::kills <- player_collection();

::game_text_top <- SpawnEntityFromTable("game_text",
{
    color = "236 227 203",
    color2 = "0 0 0",
    channel = 0,
    effect = 0,
    fadein = 0,
    fadeout = 0,
    fxtime = 0,
    holdtime = 250,
    message = "0asd",
    spawnflags = 0,
    x = -1,
    y = 0.07
});

OnGameEvent("player_death", 0, function(player, params)
{
    local attacker = GetPlayerFromParams(params, "attacker");
    if (attacker && attacker != player && IsValidPlayer(attacker))
        kills[attacker.entindex()]++;
});

tf_player_manager.ValidateScriptScope();
tf_player_manager.GetScriptScope().ThinkScoreboard <- function()
{
    local leader = null;
    local leaderKills = -1;
    foreach (player in GetAllClients())
    {
        //SetPropInt(player, "localdata.m_Local.m_iHideHUD", 64 )
        tf_player_manager.AddFlag(EFL_NO_THINK_FUNCTION)
        SetPropIntArray(tf_player_manager, "m_iTotalScore", kills[player.entindex()], player.entindex());
        //SetPropBoolArray(tf_player_manager, "m_bConnected", false, player.entindex());
        //SetPropIntArray(tf_player_manager, "m_iTeam", 3, player.entindex());
        //SetPropIntArray(tf_player_manager, "m_RoundScoreData.m_iKills", kills[player.entindex()], player.entindex());
        SetPropInt(player, "m_Shared.tfsharedlocaldata.m_ScoreData.m_iKills", kills[player.entindex()]);
        SetPropInt(player, "m_Shared.tfsharedlocaldata.m_ScoreData.m_bPlayerDominated", 322);
        SetPropInt(player, "m_Shared.tfsharedlocaldata.m_RoundScoreData.m_iKills", 322);

        if (kills[player.entindex()] > leaderKills)
        {
            leaderKills = kills[player.entindex()];
            leader = player;
        }
    }
    if (ended)
        return 0;
    foreach (player in GetAllPlayers())
    {
        if (!("currentWeapon" in player.GetScriptScope()))
            return;
        local res = "";
        if (leader != null)
            res += GetPropString(leader, "m_szNetname")+"  "+leaderKills+"   |   ";
        res += kills[player.entindex()] +"  "+GetPropString(player, "m_szNetname");
        res += "\n Next Weapon∶ " + GetCurrentGunGameWeapon(player).displayname
        if (assists[player.entindex()] > 0)
            res += "\n 1 Assist";
        EntFireByHandle(game_text_top, "AddOutput", "message " + res, 0, player, player);
        EntFireByHandle(game_text_top, "Display", "", 0, player, player);
    }
    return -1;
}

AddThinkToEnt(tf_player_manager, "ThinkScoreboard");