IncludeScript("gungame/gungame/announcer.nut")

OnGameEvent("player_death", 0, function(player, params)
{
    local attacker = GetPlayerFromParams(params, "attacker");
    if (attacker && player != attacker)
    {
        local particle = SpawnEntityFromTable("info_particle_system", {
            effect_name = "medic_megaheal_red_shower",
            origin = attacker.GetCenter(),
            angles = attacker.EyeAngles(),
            start_active = 1
        })
        EntFireByHandle(particle, "SetParent", "!activator", 0, attacker, attacker);
        EntFireByHandle(particle, "kill", "", 1, null, null);

        particle = SpawnEntityFromTable("info_particle_system", {
            effect_name = "medic_megaheal_red",
            origin = attacker.GetOrigin(),
            angles = attacker.EyeAngles(),
            start_active = 1
        })
        EntFireByHandle(particle, "SetParent", "!activator", 0, attacker, attacker);
        EntFireByHandle(particle, "kill", "", 1, null, null);

        local oldHealth = attacker.GetHealth();
        local newHealth = clampCeiling(oldHealth + 50, attacker.GetMaxHealth() + 50);
        attacker.SetHealth(newHealth);
        SendGlobalGameEvent("player_healonhit", {
            entindex = attacker.entindex(),
            amount = newHealth - oldHealth
        });
        attacker.GetScriptScope().SwitchToNextWeapon();
    }
});