PrecacheSound("ui/hitsound_electro1.wav"); //todo move to a good place
PrecacheSound("ui/hitsound_retro1.wav"); //todo move to a good place

currentWeapon <- 0;

function SwitchToNextWeapon()
{
    local oldWeaponIndex = currentWeapon;
    local wasMeleeActive = self.GetActiveWeapon();
    wasMeleeActive = wasMeleeActive && wasMeleeActive.IsValid() ? wasMeleeActive.GetSlot() == 2 : false;

    currentWeapon++;
    if (currentWeapon >= GUNGAME_ORDER.len() - 1)
    {
        main_script.EndRound(self);
        return;
    }
    for (local i = 0; i < 10; i++)
    {
        local weaponEnt = GetPropEntityArray(self, "m_hMyWeapons", i);
        if (weaponEnt && weaponEnt.GetSlot() != 2)
        {
            weaponEnt.Kill();
            SetPropEntityArray(self, "m_hMyWeapons", null, i);
        }
    }
    local crowbar = FindWeaponEntityByType(self, GetWeaponTypeByName("crowbar"));
    if (!crowbar)
    {
        KillWeaponBySlot(self, 2);
        EquipWeapon(GetWeaponTypeByName("crowbar"));
        wasMeleeActive = false;
    }
    local newWeapon = EquipWeapon(GetCurrentGunGameWeapon(self));
    if (newWeapon.GetSlot() == 2 && crowbar)
    {
        crowbar.Kill();
        wasMeleeActive = false;
    }
    if (!wasMeleeActive)
    {
        self.Weapon_Switch(newWeapon);
        if (self.InCond(TF_COND_AIMING))
            RunWithDelay(0.1, function(){
                self.Weapon_Switch(newWeapon);
            }, self)
    }
    FireCustomEvent("next_weapon", {
        "userid": GetUserID(self)
    })
}